## ros-noetic-imagezero-image-transport 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(imagezero_image_transport)

set(RUNTIME_DEPS
    cv_bridge
    image_transport
    imagezero_ros
    message_runtime
    sensor_msgs)

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED COMPONENTS
    ${RUNTIME_DEPS}
    )

# generate the dynamic_reconfigure config file
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS ${RUNTIME_DEPS}
    DEPENDS OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS})
include_directories(SYSTEM ${OpenCV_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
    src/imagezero_publisher.cpp
    src/imagezero_subscriber.cpp
    src/manifest.cpp
    )
target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${OpenCV_LIBRARIES}
    )

class_loader_hide_library_symbols(${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    )

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    )

# add xml file
install(FILES imagezero_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )

=== debian/changelog ===
ros-noetic-imagezero-image-transport (0.2.5-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David Anthony <danthony@swri.org>  Wed, 09 Feb 2022 03:08:27 -0000

ros-noetic-imagezero-image-transport (0.2.4-1buster) buster; urgency=high

  * Add documentation; build on Lunar (#12 <https://github.com/pjreed/imagezero_transport/issues/12>)
  * Contributors: P. J. Reed

 -- David Anthony <danthony@swri.org>  Fri, 29 Sep 2017 05:00:00 -0000

ros-noetic-imagezero-image-transport (0.2.3-1buster) buster; urgency=high



 -- David Anthony <danthony@swri.org>  Fri, 14 Oct 2016 05:00:00 -0000

ros-noetic-imagezero-image-transport (0.2.2-1buster) buster; urgency=high



 -- David Anthony <danthony@swri.org>  Wed, 05 Oct 2016 05:00:00 -0000

ros-noetic-imagezero-image-transport (0.2.1-1buster) buster; urgency=high

  * No changes

 -- David Anthony <danthony@swri.org>  Sat, 03 Sep 2016 05:00:00 -0000

ros-noetic-imagezero-image-transport (0.2.0-1buster) buster; urgency=high

  * Pulled ROS methods out into a separate library.
  * Contributors: P. J. Reed

 -- David Anthony <danthony@swri.org>  Wed, 28 Sep 2016 05:00:00 -0000

ros-noetic-imagezero-image-transport (0.1.0-1buster) buster; urgency=high

  * Initial version
  * Contributors: P. J. Reed

 -- David Anthony <danthony@swri.org>  Thu, 22 Sep 2016 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-imagezero-image-transport
Section: misc
Priority: optional
Maintainer: David Anthony <danthony@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-imagezero-ros, ros-noetic-message-runtime, ros-noetic-sensor-msgs
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-noetic-imagezero-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-imagezero-ros, ros-noetic-message-runtime, ros-noetic-sensor-msgs
Description: A plugin to image_transport for transparently sending images encoded with ImageZero.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-imagezero-image-transport//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
